APT-CDROM(8)

NAME
apt-cdrom - utilidad APT para administración del CDROM

SYNOPSIS

apt-cdrom [ -hvrmfan ] [ -d=cdrom punto_de_montaje ] [ -o=cadena de configuración ] [ -c=fichero ] { add | ident }

DESCRIPCIóN

apt-cdrom se usa para añadir un CDROM nuevo a la lista de recursos disponibles de APT. apt-cdrom determina la estructura del disco, corrige varios errores de grabación posibles y verifica los ficheros con los índices.

Es necesario usar apt-cdrom para añadir CDs al sistema APT, no puede hacerse manualmente. Además cada unidad de un conjunto de discos debe de ser analizada por separado para detectar los posibles errores de grabación.

A menos que se de una de las opciones -h, o --help una de las siguientes órdenes deben de estar presentes.

add add para añadir un disco nuevo a la lista de recursos. Desmontará el dispositivo de CDROM, pedirá que se inserte un disco y procederá a analizar y copiar los ficheros de índices. Si el disco no contiene el directorio apropiado .disk/ se mostrará un mensaje descriptivo.

    APT usa un identificador de CDROM para reconocer que disco está actualmente en la unidad lectora y mantiene una lista de estos identificadores en /var/lib/apt/cdroms.list

ident
    Una herramienta de depuración para informar de identidad del disco actual así como del nombre guardado.

OPCIONES

Todas las opciones de línea de órdenes pueden ser especificadas mediante el fichero de configuración, en la descripción de cada opción se indica la opción de configuración que hay que modificar. Para opciones booleanas puedes modificar el fichero de configuración usando cosas parecidas a -f-,--no-f, -f=no y alguna que otra variante.

-d

--cdrom
    Punto de montaje. Especifica el lugar donde se debe montar el cdrom. Este punto de montaje debe estar listado en /etc/fstab y configurado correctamente. Opción de Configuración: Acquire::cdrom::mount.

-r

--rename
    Renombrar un disco. Cambia la etiqueta de un disco. Esta opción hará que apt-cdrom pregunte una nueva etiqueta. Opción de Configuración: APT::CDROM::Rename.

-m

--no-mount
    No montar. Evita que apt-cdrom monte y desmonte el punto de montaje. Opción de Configuración: APT::CDROM::NoMount.

-f

--fast
    Rápido. Asumir que los ficheros con los paquetes son válidos y no comprobar todos los paquetes. Esta opción sólo se debe de usar si apt-cdrom comprobó el disco con anterioridad y no detectó ningún error. Opción de Configuración: APT::CDROM::Fast.

-a

--thorough
    Comprobación meticulosa de los paquetes. Esta opción puede ser necesaria con algunos discos viejos de Debian 1.1/1.2 que tienen los ficheros de los paquetes en lugares extraños. Tardará mucho más en analizar el CD, pero encontrará todos los paquetes.

-n

--just-print

--recon

--no-act
    No cambiar nada. No cambiar el fichero sources.list(5) y no escribir los ficheros de índices. Sin embargo sigue haciendo todas las comprobaciones. Opción de Configuración: APT::CDROM::NoAct.

-h

--help
    Muestra un breve resumen del modo de uso.

-v

--version
    Muestra la versión del programa.

-c

--config-file
    Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración por omisión y luego este otro. Lea apt.conf(5) para más información acerca de la sintaxis.

-o

--option
    Establece una opción de configuración. La sintaxis es -o Foo::Bar=bar.

VéASE TAMBIéN

apt.conf(5), apt-get(8), sources.list(5)

DIAGNóSTICOS

apt-cdrom devuelve cero en una operaciones satisfactorias, el decimal 100 en caso de error.

FALLOS

Vea la página de fallos de APT <URL:http://bugs.debian.org/src:apt>. Si desea avisar de un fallo en APT, vea /usr/share/doc/debian/bug-reporting.txt o la orden reportbug(1).

AUTOR

APT fue escrito por el equipo de APT <apt@packages.debian.org>.

TRADUCTOR

Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>